<?php

add_action('init','propanel_of_options');

if (!function_exists('propanel_of_options')) {
function propanel_of_options(){

//Theme Shortname
$shortname = "";


//Populate the options array
global $tt_options;
$tt_options = get_option('of_options');


//Access the WordPress Pages via an Array
$tt_pages = array();
$tt_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($tt_pages_obj as $tt_page) {
$tt_pages[$tt_page->ID] = $tt_page->post_name; }
$tt_pages_tmp = array_unshift($tt_pages, "Select a page:"); 


//Access the WordPress Categories via an Array
$tt_categories = array();  
$tt_categories_obj = get_categories('hide_empty=0');
foreach ($tt_categories_obj as $tt_cat) {
$tt_categories[$tt_cat->cat_ID] = $tt_cat->cat_name;}
$categories_tmp = array_unshift($tt_categories, "Select a category:");


//Sample Array for demo purposes
$sample_array = array("1","2","3","4","5");


//Sample Advanced Array - The actual value differs from what the user sees
$sample_advanced_array = array("image" => "The Image","post" => "The Post"); 


//Folder Paths for "type" => "images"
$sampleurl =  get_template_directory_uri() . '/admin/images/sample-layouts/';










/*-----------------------------------------------------------------------------------*/
/* Create The Custom Site Options Panel
/*-----------------------------------------------------------------------------------*/
$options = array(); // do not delete this line - sky will fall




/* Option Page 1 - All Options */	
$options[] = array( "name" => "همه تنضیمات",
			"type" => "heading");
			
			
$options[] = array( "name" => __('درباره','framework_localize'),
			"desc" => "",
			"id" => $shortname."sample_callout",
			"std" => "این پنل تنضیمات توسط آقای متریال طراحی و ساخته شده است",
			"type" => "info");
			

$options[] = array( "name" => __('عکس بک گراند','framework_localize'),
			"desc" => __('عکس بک گراند','framework_localize'),
			"id" => $shortname."backimg",
			"std" => "http://dl.mrmaterial.ir/do.php?imgf=1451484334381.jpg",
			"type" => "upload");
			
$options[] = array( "name" => __('فایو ایکن','framework_localize'),
			"desc" => __('فایو ایکن','framework_localize'),
			"id" => $shortname."fiv",
			"std" => "",
			"type" => "upload");					
					
			
$options[] = array( "name" => __('رنگ بک گراند باکس','framework_localize'),
			"desc" => __('رنگ بک گراند باکس','framework_localize'),
			"id" => $shortname."colorboxb",
			"std" => "rgba(0, 0, 0, 0.58)",
			"type" => "color");	
								
$options[] = array( "name" => __('رنگ بک گراند عنوان','framework_localize'),
			"desc" => __('رنگ بک گراند عنوان','framework_localize'),
			"id" => $shortname."colorboxbtext",
			"std" => "rgba(255, 255, 255, 0.6)",
			"type" => "color");	
			
$options[] = array( "name" => __('رنگ بک گراند منوها','framework_localize'),
			"desc" => __('رنگ بک گراند منوها','framework_localize'),
			"id" => $shortname."col",
			"std" => "rgba(255, 255, 255, 0.3)",
			"type" => "color");	
			
$options[] = array( "name" => __('رنگ متن','framework_localize'),
			"desc" => __('رنگ متن','framework_localize'),
			"id" => $shortname."colortextboxb",
			"std" => "#fff",
			"type" => "color");	
			
$options[] = array( "name" => __('رنگ متن عنوان','framework_localize'),
			"desc" => __('رنگ متن عنوان','framework_localize'),
			"id" => $shortname."colortextboxbtext",
			"std" => "0b0b0b",
			"type" => "color");	

$options[] = array( "name" => __('رنگ بوردر باکس ها','framework_localize'),
			"desc" => __('رنگ حاشیه دور باکس ها','framework_localize'),
			"id" => $shortname."colorborder",
			"std" => "RGBA(255, 255, 255, 0.19)",
			"type" => "color");	
			
$options[] = array( "name" => __('رنگ لینک ها','framework_localize'),
			"desc" => __('رنگ لینک ها','framework_localize'),
			"id" => $shortname."colorlink",
			"std" => "#0b0b0b",
			"type" => "color");	


			
$options[] = array( "name" => __('مکان ساید بار','framework_localize'),
			"desc" => __('مکان ساید بار','framework_localize'),
			"id" => $shortname."sid",
			"std" => "sidrighet",
			"type" => "images",
			"options" => array(
				'sidrighet' => $sampleurl . 'sidrighet.png',
				'sitleft' => $sampleurl . 'sitleft.png',
				
				));			
			
			
			
			
			
			
			
$options[] = array( "name" => __('شرتکد اسلایدر هدر','framework_localize'),
			"desc" => "شرتکد اسلایدر هدر",
			"id" => $shortname."slidhed",
			"std" => "",
			"type" => "text");
			
$options[] = array( "name" => __('شرتکد اسلایدر فوتر','framework_localize'),
			"desc" => "شرتکد اسلایدر فوتر",
			"id" => $shortname."sliffoter",
			"std" => "",
			"type" => "text");
						
			
			

					
					
					
					
	
										
					


update_option('of_template',$options); 					  
update_option('of_shortname',$shortname);

}
}
?>